/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#pragma once
#include "CoreMinimal.h"
#include "K2Node_CallFunction.h"
#include "UObject/NoExportTypes.h"

#include "K2Node_InworldWrapData.generated.h"

/**
 *
 */
UCLASS()
class UK2Node_InworldWrapData : public UK2Node_CallFunction
{
	GENERATED_BODY()
public:
	virtual void GetMenuActions(FBlueprintActionDatabaseRegistrar& ActionRegistrar) const override;
	virtual void AllocateDefaultPins() override;
	virtual void NotifyPinConnectionListChanged(UEdGraphPin* Pin) override;
	virtual bool IsConnectionDisallowed(const UEdGraphPin* MyPin, const UEdGraphPin* OtherPin, FString& OutReason) const override;
};
